/*---------------------------------------------------------------------------*
 |              PDFlib - A library for generating PDF on the fly             |
 +---------------------------------------------------------------------------+
 | Copyright (c) 1997-2007 Thomas Merz and PDFlib GmbH. All rights reserved. |
 +---------------------------------------------------------------------------+
 |                                                                           |
 |    This software is subject to the PDFlib license. It is NOT in the       |
 |    public domain. Extended versions and commercial licenses are           |
 |    available, please check http://www.pdflib.com.                         |
 |                                                                           |
 *---------------------------------------------------------------------------*/

/* $Id: fonttabs.h,v 1.1.2.5 2007/02/23 19:10:43 kurt Exp $
 *
 * Font tables to show font and encoding contents
 */

#ifndef FONTTABS_H
#define FONTTABS_H

#include "pdflib.h"

#define PDF_FRAMEFONTNAME "Helvetica"

#if defined(PDFLIB_EBCDIC)
#define PDF_FRAMEFONTENC "ebcdic"
#else
#define PDF_FRAMEFONTENC "winansi"
#endif

#define PDF_FRAMEFONTOPT "kerning"

void pdf_show_font_properties(PDF *p, int testfont);

void pdf_show_font_glyphs(PDF *p, int testfont);

void pdf_show_font_cmap(PDF *p, int testfont);

void pdf_show_font_encoding(PDF *p, int testfont);

int pdf_show_font_kerning(PDF *p, int testfont);

void pdf_show_font_encoding_ext(PDF *p, int testfont, int unistart,
        const char *comment);

void pdf_show_font_cidtext(PDF *p, int testfont, const char *testname);

#endif /* FONTTABS_H */
